From 3a25bb5bd2c3f75e9d190ea68a613846898ef008 Mon Sep 17 00:00:00 2001
From: Egbert Eich <eich@suse.com>
Date: Mon, 30 May 2022 14:54:27 +0200
Subject: [PATCH 33/34] Add missing calls to slurm_msg_set_r_uid()

Signed-off-by: Egbert Eich <eich@suse.com>
---
 src/slurmctld/proc_req.c | 3 ++-
 src/slurmdbd/proc_req.c  | 1 +
 2 files changed, 3 insertions(+), 1 deletion(-)

diff --git a/src/slurmctld/proc_req.c b/src/slurmctld/proc_req.c
index e4edbb796c..4c8b9a18a2 100644
--- a/src/slurmctld/proc_req.c
+++ b/src/slurmctld/proc_req.c
@@ -3037,7 +3037,8 @@ static void _slurm_rpc_job_alloc_info_lite(slurm_msg_t * msg)
 		response_msg.protocol_version = msg->protocol_version;
 		response_msg.msg_type    = RESPONSE_JOB_ALLOCATION_INFO_LITE;
 		response_msg.data        = &job_info_resp_msg;
-
+		if (msg->auth_uid_set)
+                     slurm_msg_set_r_uid(&response_msg, msg->auth_uid);
 		slurm_send_node_msg(msg->conn_fd, &response_msg);
 
 		slurm_free_resource_allocation_response_msg_members(
diff --git a/src/slurmdbd/proc_req.c b/src/slurmdbd/proc_req.c
index a85ff8450d..6c271f8297 100644
--- a/src/slurmdbd/proc_req.c
+++ b/src/slurmdbd/proc_req.c
@@ -2711,6 +2711,7 @@ static int   _register_ctld(slurmdbd_conn_t *slurmdbd_conn,
 			slurm_msg_t_init(&out_msg);
 			out_msg.msg_type = REQUEST_PING;
 			out_msg.flags = SLURM_GLOBAL_AUTH_KEY;
+			slurm_msg_set_r_uid(&out_msg, SLURM_AUTH_UID_ANY);
 			slurm_send_node_msg(slurmdbd_conn->conn->version,
 					    fd, &out_msg);
 			/* We probably need to add matching recv_msg function
-- 
2.35.3


